<?xml version="1.0"?>
<?xml-model href="http://download.ros.org/schema/package_format2.xsd" schematypens="http://www.w3.org/2001/XMLSchema"?>
<package format="2">
  <name>march_robot_state_publisher</name>
  <version>2.4.2</version>
  <description>
    This package allows you to publish the state of a robot to
    <a href="http://wiki.ros.org/tf2">tf2</a>. Once the state gets published, it is
    available to all components in the system that also use <tt>tf2</tt>.
    The package takes the joint angles of the robot as input
    and publishes the 3D poses of the robot links, using a kinematic
    tree model of the robot.
  </description>
  <maintainer email="clalancette@openrobotics.org">Chris Lalancette</maintainer>
  <maintainer email="sloretz@openrobotics.org">Shane Loretz</maintainer>
  <license>BSD</license>
  <author email="karsten@osrfoundation.org">Karsten Knese</author>

  <buildtool_depend>ament_cmake</buildtool_depend>

  <build_depend>builtin_interfaces</build_depend>
  <build_depend>geometry_msgs</build_depend>
  <build_depend>gazebo_msgs</build_depend>
  <build_depend>kdl_parser</build_depend>
  <build_depend>orocos_kdl</build_depend>
  <build_depend>rclcpp</build_depend>
  <build_depend>rclcpp_components</build_depend>
  <build_depend>sensor_msgs</build_depend>
  <build_depend>std_msgs</build_depend>
  <build_depend>tf2_ros</build_depend>
  <build_depend>tf2</build_depend>
  <build_depend>urdf</build_depend>
  <build_depend>urdfdom_headers</build_depend>
  <build_depend>xacro</build_depend>

  <exec_depend>builtin_interfaces</exec_depend>
  <exec_depend>geometry_msgs</exec_depend>
  <exec_depend>gazebo_msgs</exec_depend>
  <exec_depend>kdl_parser</exec_depend>
  <exec_depend>orocos_kdl</exec_depend>
  <exec_depend>rclcpp</exec_depend>
  <exec_depend>rclcpp_components</exec_depend>
  <exec_depend>sensor_msgs</exec_depend>
  <exec_depend>std_msgs</exec_depend>
  <exec_depend>tf2</exec_depend>
  <exec_depend>urdf</exec_depend>
  <exec_depend>urdfdom_headers</exec_depend>
  <exec_depend>xacro</exec_depend>

  <test_depend>ament_cmake_gtest</test_depend>
  <test_depend>ament_lint_auto</test_depend>
  <test_depend>ament_lint_common</test_depend>
  <test_depend>launch_ros</test_depend>
  <test_depend>launch_testing_ament_cmake</test_depend>

  <export>
    <build_type>ament_cmake</build_type>
  </export>
</package>
